`timescale 1ns/1ps

`include "top_defines.v"

module `module_name
            (
                input           S_AXI_ACLK,
                input           S_AXI_ARESETN,
                input [31:0]    S_AXI_AWADDR,
                input           S_AXI_AWVALID,
                output          S_AXI_AWREADY,
                input [31:0]    S_AXI_WDATA,
                input [3:0]     S_AXI_WSTRB,
                input           S_AXI_WVALID,
                output          S_AXI_WREADY,
                output [1:0]    S_AXI_BRESP,
                output          S_AXI_BVALID,
                input           S_AXI_BREADY,
                input [31:0]    S_AXI_ARADDR,
                input           S_AXI_ARVALID,
                output          S_AXI_ARREADY,
                output [31:0]   S_AXI_RDATA,
                output [1:0]    S_AXI_RRESP,
                output          S_AXI_RVALID,
                input           S_AXI_RREADY,
                output          AXI_INTA_O,
                inout           SDA,
                inout           SCL
            );
        `getname(top,`module_name) axi4_iic_top(
                .S_AXI_ACLK(S_AXI_ACLK),
                .S_AXI_ARESETN(S_AXI_ARESETN),
                .S_AXI_AWADDR(S_AXI_AWADDR),
                .S_AXI_AWVALID(S_AXI_AWVALID),
                .S_AXI_AWREADY(S_AXI_AWREADY),
                .S_AXI_WDATA(S_AXI_WDATA),
                .S_AXI_WSTRB(S_AXI_WSTRB),
                .S_AXI_WVALID(S_AXI_WVALID),
                .S_AXI_WREADY(S_AXI_WREADY),
                .S_AXI_BRESP(S_AXI_BRESP),
                .S_AXI_BVALID(S_AXI_BVALID),
                .S_AXI_BREADY(S_AXI_BREADY),
                .S_AXI_ARADDR(S_AXI_ARADDR),
                .S_AXI_ARVALID(S_AXI_ARVALID),
                .S_AXI_ARREADY(S_AXI_ARREADY),
                .S_AXI_RDATA(S_AXI_RDATA),
                .S_AXI_RRESP(S_AXI_RRESP),
                .S_AXI_RVALID(S_AXI_RVALID),
                .S_AXI_RREADY(S_AXI_RREADY),
                .AXI_INTA_O(AXI_INTA_O),
                .SCL(SCL),
                .SDA(SDA)
            );
endmodule
