

`timescale      1 ns    / 1 ps

`include    "top_define.v"

module `module_name    (
    clk_ext,
    key_1,
    scl,
    sda,
    int_o
);

    input               clk_ext;
    input               key_1;
    input               scl;
    inout               sda;
    output              int_o;

/*wire midClk;

GW_PLL myPll(
        .clkout(midClk), //output clkout 10M
        .clkin(clk_ext) //input clkin 50M
    );*/
wire lowClk;            //10K
/*wire lowOver;
wire [31:0] lowOut;
counter cnt1(lowOut,lowClk,lowOver,midClk,1'b1);
defparam cnt1.OVER = 1_000;

wire veryLowClk;        //10Hz
wire veryLowOver;
wire [31:0] veryLowOut;
counter cnt2(veryLowOut,veryLowClk,veryLowOver,midClk,1'b1);
defparam cnt2.OVER = 1_000_000;

wire secondClk;         //1Hz
wire secondOver;
wire [31:0] secondOut;
counter cnt3(secondOut,secondClk,secondOver,midClk,1'b1);
defparam cnt3.OVER = 10_000_000;*/

wire rst, clk;

    `getname(top,`module_name)  u_i2c_slave_top_inst(
        .clk(clk),
        .rst(rst),
        .scl(scl),
        .sda(sda),
        .int_o(int_o)
    );

wire key1;
deUstb deKey1(key1,~key_1,lowClk);

assign rst = ~key1;
assign clk = lowClk;

endmodule
